/** Notice: Please edit from body class **/
.woocommerce-account {
	background-color: var(--light);

	& .header {
		background-color: var(--white);
		box-shadow: 0 4px 4px rgba(0, 0, 0, 0.21);
	}
}

.woocommerce-ResetPassword,
.woocommerce-form.woocommerce-form-register,
.woocommerce-form.woocommerce-form-login {
	background: var(--white);
	border-radius: var(--border-radius);
	padding: 30px;
	max-width: 600px;
	margin: 1em auto;
	box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.1);
	border: 1px solid var(--border);

	& label {
		font-weight: var(--font-bold);
	}
}

.woocommerce-ResetPassword,
.woocommerce-account .woocommerce-form.woocommerce-form-register,
.woocommerce-account .woocommerce-form.woocommerce-form-login {
	width: 100%;
	margin: 1em auto 0;

	& p,
	& .form-row {
		width: 100%;
		margin-top: 0.5em;
	}
}

.woocommerce-form.woocommerce-form-login .woocommerce-form-login__rememberme {
	text-align: center;
}

.woocommerce-form.woocommerce-form-login p.lost_password {
	display: block;
	width: auto;
	margin-top: 2em;
	margin-bottom: 0;
	text-align: center;

	& a {
		text-decoration: underline;
	}
}

.woocommerce-form-register__submit,
.woocommerce-ResetPassword .woocommerce-Button,
.woocommerce-form-login__submit {
	@mixin button-style-primary;
	@mixin button-large;

	padding-left: 40px;
	padding-right: 40px;
	display: block;
	margin: 10px auto 0 auto;
}

.woocommerce-ResetPassword {
	margin-top: 1em;

	& .form-row-first {
		margin-top: 10px;
	}
}

.woocommerce-ResetPassword .woocommerce-Button {
	margin-top: 10px;
}

.woocommerce-MyAccount-content {
	padding: 1em;
	background-color: var(--white);
	box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.1);
	border-radius: 6px;

	@media (--s) {
		padding: 2em;
	}

	& p {
		margin-top: 10px;

		& > a {
			text-decoration: underline;
		}
	}

	& fieldset {
		margin-top: 1em;

		& legend {
			font-weight: 700;
		}
	}
}

.woocommerce-MyAccount-navigation {
	padding-bottom: 1em;

	@media (--m) {
		padding-bottom: 0;
	}
}

.woocommerce-MyAccount-navigation-link {
	padding: 0.45em 1em;
	border-radius: var(--border-radius);

	& a {
		display: block;

		&:hover {
			text-decoration: underline;
		}
	}

	&.is-active {
		background-color: var(--primary-light);

		& a {
			color: var(--primary);
		}
	}
}

.woocommerce-Address {
	& a.edit {
		@mixin button-default;
		@mixin button-style-primary;

		margin: 1em 0;
		padding: 8px 25px;
	}
}

.woocommerce-order .woocommerce-table {
	border: 1px solid var(--border);
}

.woocommerce-order-details {
	& h2 {
		margin-top: 1.2em;
		margin-bottom: 0.5em;
		font-size: 1.5rem;
	}

	& .woocommerce-table {
		text-align: right;

		& th:first-child {
			width: 60%;
		}
	}

	& .woocommerce-table__product-name {
		text-align: left;

		& a {
			&:hover {
				@media (--m) {
					text-decoration: underline;
				}
			}
		}
	}
}

.woocommerce-orders-table {
	& thead {
		display: none;

		@media (--m) {
			display: table-header-group;
		}
	}

	& tbody td {
		display: block;

		@media (--m) {
			display: table-cell;
		}

		&::before {
			content: attr(data-title) ': ';
			font-weight: var(--font-bold);

			@media (--m) {
				content: none;
			}
		}

		&.woocommerce-orders-table__cell-order-actions {
			&::before {
				content: none;
			}

			& .woocommerce-button {
				@mixin button-normal;
				@mixin button-style-primary;

				width: 100%;
				margin-top: 1em;
				text-align: center;

				@media (--m) {
					width: auto;
					margin-top: 0;
					text-align: right;
				}
			}
		}
	}

	& th {
		@media (--m) {
			padding-top: 0.5em;
			padding-bottom: 0.5em;
			color: var(--dark);
			font-weight: var(--font-normal);
			opacity: 0.75;
			border-bottom: 1px solid var(--border);
		}
	}

	& td {
		@media (--m) {
			padding-top: 0.5em;
			padding-bottom: 0.5em;
		}

		& a {
			color: var(--primary);

			&:hover {
				text-decoration: underline;
			}
		}
	}

	& th,
	& td {
		@media (--m) {
			text-align: left;
		}

		&:first-child {
			@media (--m) {
				width: 20%;
			}
		}

		&:nth-child(2) {
			@media (--m) {
				width: 20%;
			}
		}

		&:last-child {
			@media (--m) {
				display: none;
			}
		}
	}

	& .woocommerce-orders-table__header-order-total,
	& .woocommerce-orders-table__cell-order-total {
		@media (--m) {
			width: 40%;
			text-align: right;
		}
	}
}

.woocommerce-customer-details {
	& h2 {
		margin-top: 1.2em;
		margin-bottom: 0.5em;
		font-size: 1.5rem;
	}

	& .woocommerce-columns--2 {
		display: flex;
		flex-wrap: wrap;
		margin: 0 -1em;

		& .woocommerce-column {
			@mixin column-item 1, 1em;

			padding: 0 1em;

			@media (--s) {
				@mixin column-item 2, 1em;
			}
		}
	}
}
